Download it now!
Bug 101896 - Menu submenus for listing various style types
Summary: Menu submenus for listing various style types
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: UNO-Command-New Writer-Styles
  Show dependency treegraph
 
Reported: 2016-09-04 22:09 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-06-29 11:45 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-04 22:09:17 UTC
So in writer we have listed a few paragraph and character styles in the Styles menu, but we also need to list all the various style types available in the styles and formatting sidebar to provide an additional means to accessing this option. This would also be beneficial to accessible users, as the style & formatting sidebar isnt accessible to them.

It would be useful to have a single uno command that can take an argument that would be used to filter out a particular collection of styles, something like the example below.

.uno:ListStyles?FamilyName:string=ParagraphStyles

The submenu should be filled with radio buttons, so that a user can know which entry is currently active, and the submenu entry should likely be disable when it is not applicable.

This would be needed for all modules and not just writer.
Comment 1 V Stuart Foote 2016-09-05 03:05:53 UTC
Yes, useful.
Comment 2 Heiko Tietze 2016-09-05 07:00:44 UTC
Additionally, we should introduce a similar approach as most recently used files for styles.
Comment 3 Cor Nouws 2016-09-05 11:30:56 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> So in writer we have listed a few paragraph and character styles in the
> Styles menu, but we also need to list all the various style types available
> in the styles and formatting sidebar to provide an additional means to
> accessing this option. 

How should that look like? Additional choices in the main menu?
Or directly under Styles offer sub-menu's ?

> This would also be beneficial to accessible users, as
> the style & formatting sidebar isnt accessible to them.

And apparently that can't be fixed?
Comment 4 Yousuf Philips (jay) (retired) 2016-09-05 17:26:31 UTC
(In reply to Cor Nouws from comment #3)
> How should that look like? Additional choices in the main menu?
> Or directly under Styles offer sub-menu's ?

They would be submenus of the Styles menu in writer, like Styles > Page Styles. In Calc and Impress it would be submenus under Format > Styles, unless we want to create a Styles main menu in those modules as well.

> And apparently that can't be fixed?

Stuart mentioned that "the F11 Styles & Formatting dialog was pushed into
the Sidebar but remains SRC based. F6, F10 sequence navigation is not fully
supported, ..."
http://listarchives.libreoffice.org/global/accessibility/msg00841.html
Comment 5 Yousuf Philips (jay) (retired) 2017-06-10 14:26:20 UTC
In addition to listing all styles of a particular type, the UNO command should also be filterable by the list found in the filter drop down menu found at the bottom of the styles & formatting sidebar deck. Examples below.

.uno:ListStyles?FamilyName:string=ParagraphStyles&Filter:string=Hidden

.uno:ListStyles?FamilyName:string=CharacterStyles&Filter:string=Applied

.uno:ListStyles?FamilyName:string=CellStyles&Filter:string=Custom+Applied
Comment 6 Thomas Lendo 2017-06-29 11:45:11 UTC
Proposal from Stuart in bug 102915 comment 50 to implement this (in some kind of way) also in the "Styles" context menu.